<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedLightBase/PointLightBase/EntranceLight.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/d4e/_entrance_light_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">EntranceLight.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/d4e/_entrance_light_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dc/d4e/_entrance_light_8c.html#a300daa94837c805f12010b51fce32b6f">    1</a></span><span class="keyword">class </span><a class="code hl_function" href="../../dc/d4e/_entrance_light_8c.html#a4b8a515beeb22142c9aaed2086f04687">EntranceLight</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#a307d47d6913770c2c18b521cb181d585">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#a2202cad687ba74d92664106a8b8baee3">m_DefaultBrightness</a> = 0.5;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#a19bbc8f163b1212bc034bd702ad25835">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#ad03bb02d17f63aee0a171b52caadf929">m_DefaultRadius</a> = 5.5;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d8/dbb/class_point_light_base.html#a9bd56e940081ad0887cf46979873dc4a">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d8/dbb/class_point_light_base.html#a9bd56e940081ad0887cf46979873dc4a">EntranceLight</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        SetVisibleDuringDaylight(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        SetRadiusTo(<a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#ad03bb02d17f63aee0a171b52caadf929">m_DefaultRadius</a>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        SetBrightnessTo(<a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#a2202cad687ba74d92664106a8b8baee3">m_DefaultBrightness</a>);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        FadeIn(1);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        SetFadeOutTime(2);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        SetFlareVisible(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        SetCastShadow(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        SetAmbientColor(0.9, 0.9, 0.7);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        SetDiffuseColor(0.9, 0.9, 0.7);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>}</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="keyword">class </span><a class="code hl_function" href="../../dc/d4e/_entrance_light_8c.html#a300daa94837c805f12010b51fce32b6f">EntranceLightStairs1</a> : <a class="code hl_function" href="../../dc/d4e/_entrance_light_8c.html#a4b8a515beeb22142c9aaed2086f04687">EntranceLight</a></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>{</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d4e/_entrance_light_8c.html#a300daa94837c805f12010b51fce32b6f">EntranceLightStairs1</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../dc/d4e/_entrance_light_8c.html#a56e87cf04e140e322291fda325065d9b">   23</a></span>    {               </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../dc/d4e/_entrance_light_8c.html#ad03bb02d17f63aee0a171b52caadf929">   24</a></span>        SetRadiusTo(10);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        SetBrightnessTo(0.5);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../dc/d4e/_entrance_light_8c.html#a4b8a515beeb22142c9aaed2086f04687">   26</a></span>        SetCastShadow(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        SetAmbientColor(1.0, 0.4, 0.4);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        SetDiffuseColor(1.0, 0.4, 0.4);</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>}</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d6/de4/class_entrance_light_stairs2.html">   32</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d6/de4/class_entrance_light_stairs2.html">EntranceLightStairs2</a> : <a class="code hl_function" href="../../dc/d4e/_entrance_light_8c.html#a4b8a515beeb22142c9aaed2086f04687">EntranceLight</a> { }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="keyword">class </span>EntranceLightMain1 : <a class="code hl_function" href="../../dc/d4e/_entrance_light_8c.html#a4b8a515beeb22142c9aaed2086f04687">EntranceLight</a> { }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="keyword">class </span>EntranceLightMain2 : <a class="code hl_function" href="../../dc/d4e/_entrance_light_8c.html#a4b8a515beeb22142c9aaed2086f04687">EntranceLight</a> { }</div>
<div class="ttc" id="a_contaminated_area___dynamic_8c_html_a2202cad687ba74d92664106a8b8baee3"><div class="ttname"><a href="../../d0/dd9/_contaminated_area___dynamic_8c.html#a2202cad687ba74d92664106a8b8baee3">m_DefaultBrightness</a></div><div class="ttdeci">enum eAreaDecayStage m_DefaultBrightness</div></div>
<div class="ttc" id="a_contaminated_area___dynamic_8c_html_ad03bb02d17f63aee0a171b52caadf929"><div class="ttname"><a href="../../d0/dd9/_contaminated_area___dynamic_8c.html#ad03bb02d17f63aee0a171b52caadf929">m_DefaultRadius</a></div><div class="ttdeci">protected float m_DefaultRadius</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00014">ContaminatedArea_Dynamic.c:14</a></div></div>
<div class="ttc" id="a_entrance_light_8c_html_a300daa94837c805f12010b51fce32b6f"><div class="ttname"><a href="../../dc/d4e/_entrance_light_8c.html#a300daa94837c805f12010b51fce32b6f">EntranceLightStairs1</a></div><div class="ttdeci">class EntranceLight extends PointLightBase EntranceLightStairs1()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_entrance_light_8c_source.html#l00001">EntranceLight.c:22</a></div></div>
<div class="ttc" id="a_entrance_light_8c_html_a4b8a515beeb22142c9aaed2086f04687"><div class="ttname"><a href="../../dc/d4e/_entrance_light_8c.html#a4b8a515beeb22142c9aaed2086f04687">EntranceLight</a></div><div class="ttdeci">void EntranceLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_entrance_light_8c_source.html#l00026">EntranceLight.c:26</a></div></div>
<div class="ttc" id="aclass_entrance_light_stairs2_html"><div class="ttname"><a href="../../d6/de4/class_entrance_light_stairs2.html">EntranceLightStairs2</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_entrance_light_8c_source.html#l00032">EntranceLight.c:32</a></div></div>
<div class="ttc" id="aclass_point_light_base_html"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html">PointLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da0/_bonfire_light_8c_source.html#l00001">BonfireLight.c:2</a></div></div>
<div class="ttc" id="aclass_point_light_base_html_a9bd56e940081ad0887cf46979873dc4a"><div class="ttname"><a href="../../d8/dbb/class_point_light_base.html#a9bd56e940081ad0887cf46979873dc4a">PointLightBase::EntranceLight</a></div><div class="ttdeci">void EntranceLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d4e/_entrance_light_8c_source.html#l00006">EntranceLight.c:6</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_50f518e75e7de83ddcd3aee1de3ffc98.html">ScriptedLightBase</a></li><li class="navelem"><a class="el" href="../../dir_2a62e9dabe3d51825a6f1e7ea8928c3e.html">PointLightBase</a></li><li class="navelem"><a class="el" href="../../dc/d4e/_entrance_light_8c.html">EntranceLight.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
